| Home | Libraries | People | FAQ | More

#### buffer (4 of 28 overloads)

Create a new non-modifiable buffer from an existing buffer.

    const_buffers_1 buffer(
        const const_buffer & b,
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        buffer_cast<const void*>(b),
        min(buffer_size(b), max_size_in_bytes));